mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

The class is the base class for the and classes, which wrap messages for method calls on remote objects.

is used by the infrastructure of the .NET Framework. You do not need to create instances of the , , and classes directly.

Wraps remoting data for passing between message sinks, either for requests from client to server or for the subsequent responses.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an directly.

  The parameter also implements the derived interface, , which indicates that the message acts as a request or as a response on a remote method call. The and interfaces, in turn, inherit from the interface.

  Initializes a new instance of the class.

  A message that acts either as an outgoing method call on a remote object, or as the subsequent response.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessage To be added

  Represents the request or response interface that is wrapped by the message wrapper.